Get Account History
curl --request POST \
--url https://api.altude.so/api/Account/gethistory \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://api.altude.so/api/Account/gethistory"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://api.altude.so/api/Account/gethistory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"signature": "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d",
"slot": 123456789,
"blockTime": 1640995200
}
]
}
Account
Get Account History
Get transaction history for an account
POST
/
api
/
Account
/
gethistory
Get Account History
Retrieve the transaction history for a specific wallet address with optional pagination and filtering.
headers
Query Parameters
integer
The page number for pagination
integer
The number of items per page
string
required
The wallet address to get history for
string
Filter transactions by specific mint address
integer
Maximum number of transactions to return
Response
array
Array of transaction objects
{
"transactions": [
{
"signature": "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d",
"slot": 123456789,
"blockTime": 1640995200
}
]
}
⌘I